<?php
/* Autor...:  */
/* Esquema.: ALM_TransferenciaCabecera.xml */
/* Generado: 2021-03-29 18:07:02 */

/* Metodos de acceso a los campos de la tabla ALM_TransferenciaCabecera */
abstract class BaseALM_TransferenciaCabeceraBN
{
    /* Campos de la tabla */
    private $i_IdTransferencia;    // IdTransferencia: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdTipoDocumento;    // IdTipoDocumento: ( no definido )
    private $s_IdNumeroDocumento;    // IdNumeroDocumento: ( no definido )
    private $s_IdTransaccion;    // IdTransaccion: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $s_AlmacenTraslado;    // AlmacenTraslado: ( no definido )
    private $s_IdTransaccionOperacion;    // IdTransaccionOperacion: ( no definido )
    private $d_FechaDocumento;    // FechaDocumento: ( no definido )
    private $f_TipodeCambio;    // TipodeCambio: ( no definido )
    private $s_Periodo;    // Periodo: ( no definido )
    private $s_PeriodoAnulacion;    // PeriodoAnulacion: ( no definido )
    private $s_Voucher;    // Voucher: ( no definido )
    private $s_CentroCostoConsumo;    // CentroCostoConsumo: ( no definido )
    private $s_ImprimirGuia;    // ImprimirGuia: ( no definido )
    private $s_ReferenciaTipoDocumento;    // ReferenciaTipoDocumento: ( no definido )
    private $s_ReferenciaSerieDocumento;    // ReferenciaSerieDocumento: ( no definido )
    private $s_ReferenciaNumeroDocumento;    // ReferenciaNumeroDocumento: ( no definido )
    private $s_GuiaProveedor;    // GuiaProveedor: ( no definido )
    private $i_IdOrdenProd;    // IdOrdenProd: ( no definido )
    private $i_IdProyecto;    // IdProyecto: ( no definido )
    private $i_ReferenciaNumeroInterno;    // ReferenciaNumeroInterno: ( no definido )
    private $s_ReferenciaInterno;    // ReferenciaInterno: ( no definido )
    private $i_IdChofer;    // IdChofer: ( no definido )
    private $i_IdVehiculo;    // IdVehiculo: ( no definido )
    private $i_Transportista;    // Transportista: ( no definido )
    private $s_VehiculoMarca;    // VehiculoMarca: ( no definido )
    private $s_VehiculoPlaca;    // VehiculoPlaca: ( no definido )
    private $s_LicenciaConducir;    // LicenciaConducir: ( no definido )
    private $s_ResponsableTraslado;    // ResponsableTraslado: ( no definido )
    private $s_MotivoDevolucion;    // MotivoDevolucion: ( no definido )
    private $s_UnidadNegocio;    // UnidadNegocio: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_CompaniaDescripcion;    // CompaniaDescripcion: ( no definido )
    private $u_Comentario;    // Comentario: ( no definido )

    /* Establece el valor del campo IdTransferencia */
    public function setIdTransferencia( $i_IdTransferencia )
    {
        $this->i_IdTransferencia = $i_IdTransferencia;
    }

    /* Obtiene el valor del campo IdTransferencia */
    public function getIdTransferencia()
    {
        return $this->i_IdTransferencia;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdTipoDocumento */
    public function setIdTipoDocumento( $s_IdTipoDocumento )
    {
        $this->s_IdTipoDocumento = $s_IdTipoDocumento;
    }

    /* Obtiene el valor del campo IdTipoDocumento */
    public function getIdTipoDocumento()
    {
        return $this->s_IdTipoDocumento;
    }

    /* Establece el valor del campo IdNumeroDocumento */
    public function setIdNumeroDocumento( $s_IdNumeroDocumento )
    {
        $this->s_IdNumeroDocumento = $s_IdNumeroDocumento;
    }

    /* Obtiene el valor del campo IdNumeroDocumento */
    public function getIdNumeroDocumento()
    {
        return $this->s_IdNumeroDocumento;
    }

    /* Establece el valor del campo IdTransaccion */
    public function setIdTransaccion( $s_IdTransaccion )
    {
        $this->s_IdTransaccion = $s_IdTransaccion;
    }

    /* Obtiene el valor del campo IdTransaccion */
    public function getIdTransaccion()
    {
        return $this->s_IdTransaccion;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo AlmacenTraslado */
    public function setAlmacenTraslado( $s_AlmacenTraslado )
    {
        $this->s_AlmacenTraslado = $s_AlmacenTraslado;
    }

    /* Obtiene el valor del campo AlmacenTraslado */
    public function getAlmacenTraslado()
    {
        return $this->s_AlmacenTraslado;
    }

    /* Establece el valor del campo IdTransaccionOperacion */
    public function setIdTransaccionOperacion( $s_IdTransaccionOperacion )
    {
        $this->s_IdTransaccionOperacion = $s_IdTransaccionOperacion;
    }

    /* Obtiene el valor del campo IdTransaccionOperacion */
    public function getIdTransaccionOperacion()
    {
        return $this->s_IdTransaccionOperacion;
    }

    /* Establece el valor del campo FechaDocumento */
    public function setFechaDocumento( $d_FechaDocumento )
    {
        $this->d_FechaDocumento = $d_FechaDocumento;
    }

    /* Obtiene el valor del campo FechaDocumento */
    public function getFechaDocumento()
    {
        return $this->d_FechaDocumento;
    }

    /* Establece el valor del campo TipodeCambio */
    public function setTipodeCambio( $f_TipodeCambio )
    {
        $this->f_TipodeCambio = $f_TipodeCambio;
    }

    /* Obtiene el valor del campo TipodeCambio */
    public function getTipodeCambio()
    {
        return $this->f_TipodeCambio;
    }

    /* Establece el valor del campo Periodo */
    public function setPeriodo( $s_Periodo )
    {
        $this->s_Periodo = $s_Periodo;
    }

    /* Obtiene el valor del campo Periodo */
    public function getPeriodo()
    {
        return $this->s_Periodo;
    }

    /* Establece el valor del campo PeriodoAnulacion */
    public function setPeriodoAnulacion( $s_PeriodoAnulacion )
    {
        $this->s_PeriodoAnulacion = $s_PeriodoAnulacion;
    }

    /* Obtiene el valor del campo PeriodoAnulacion */
    public function getPeriodoAnulacion()
    {
        return $this->s_PeriodoAnulacion;
    }

    /* Establece el valor del campo Voucher */
    public function setVoucher( $s_Voucher )
    {
        $this->s_Voucher = $s_Voucher;
    }

    /* Obtiene el valor del campo Voucher */
    public function getVoucher()
    {
        return $this->s_Voucher;
    }

    /* Establece el valor del campo CentroCostoConsumo */
    public function setCentroCostoConsumo( $s_CentroCostoConsumo )
    {
        $this->s_CentroCostoConsumo = $s_CentroCostoConsumo;
    }

    /* Obtiene el valor del campo CentroCostoConsumo */
    public function getCentroCostoConsumo()
    {
        return $this->s_CentroCostoConsumo;
    }

    /* Establece el valor del campo ImprimirGuia */
    public function setImprimirGuia( $s_ImprimirGuia )
    {
        $this->s_ImprimirGuia = $s_ImprimirGuia;
    }

    /* Obtiene el valor del campo ImprimirGuia */
    public function getImprimirGuia()
    {
        return $this->s_ImprimirGuia;
    }

    /* Establece el valor del campo ReferenciaTipoDocumento */
    public function setReferenciaTipoDocumento( $s_ReferenciaTipoDocumento )
    {
        $this->s_ReferenciaTipoDocumento = $s_ReferenciaTipoDocumento;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocumento */
    public function getReferenciaTipoDocumento()
    {
        return $this->s_ReferenciaTipoDocumento;
    }

    /* Establece el valor del campo ReferenciaSerieDocumento */
    public function setReferenciaSerieDocumento( $s_ReferenciaSerieDocumento )
    {
        $this->s_ReferenciaSerieDocumento = $s_ReferenciaSerieDocumento;
    }

    /* Obtiene el valor del campo ReferenciaSerieDocumento */
    public function getReferenciaSerieDocumento()
    {
        return $this->s_ReferenciaSerieDocumento;
    }

    /* Establece el valor del campo ReferenciaNumeroDocumento */
    public function setReferenciaNumeroDocumento( $s_ReferenciaNumeroDocumento )
    {
        $this->s_ReferenciaNumeroDocumento = $s_ReferenciaNumeroDocumento;
    }

    /* Obtiene el valor del campo ReferenciaNumeroDocumento */
    public function getReferenciaNumeroDocumento()
    {
        return $this->s_ReferenciaNumeroDocumento;
    }

    /* Establece el valor del campo GuiaProveedor */
    public function setGuiaProveedor( $s_GuiaProveedor )
    {
        $this->s_GuiaProveedor = $s_GuiaProveedor;
    }

    /* Obtiene el valor del campo GuiaProveedor */
    public function getGuiaProveedor()
    {
        return $this->s_GuiaProveedor;
    }

    /* Establece el valor del campo IdOrdenProd */
    public function setIdOrdenProd( $i_IdOrdenProd )
    {
        $this->i_IdOrdenProd = $i_IdOrdenProd;
    }

    /* Obtiene el valor del campo IdOrdenProd */
    public function getIdOrdenProd()
    {
        return $this->i_IdOrdenProd;
    }

    /* Establece el valor del campo IdProyecto */
    public function setIdProyecto( $i_IdProyecto )
    {
        $this->i_IdProyecto = $i_IdProyecto;
    }

    /* Obtiene el valor del campo IdProyecto */
    public function getIdProyecto()
    {
        return $this->i_IdProyecto;
    }

    /* Establece el valor del campo ReferenciaNumeroInterno */
    public function setReferenciaNumeroInterno( $i_ReferenciaNumeroInterno )
    {
        $this->i_ReferenciaNumeroInterno = $i_ReferenciaNumeroInterno;
    }

    /* Obtiene el valor del campo ReferenciaNumeroInterno */
    public function getReferenciaNumeroInterno()
    {
        return $this->i_ReferenciaNumeroInterno;
    }

    /* Establece el valor del campo ReferenciaInterno */
    public function setReferenciaInterno( $s_ReferenciaInterno )
    {
        $this->s_ReferenciaInterno = $s_ReferenciaInterno;
    }

    /* Obtiene el valor del campo ReferenciaInterno */
    public function getReferenciaInterno()
    {
        return $this->s_ReferenciaInterno;
    }

    /* Establece el valor del campo IdChofer */
    public function setIdChofer( $i_IdChofer )
    {
        $this->i_IdChofer = $i_IdChofer;
    }

    /* Obtiene el valor del campo IdChofer */
    public function getIdChofer()
    {
        return $this->i_IdChofer;
    }

    /* Establece el valor del campo IdVehiculo */
    public function setIdVehiculo( $i_IdVehiculo )
    {
        $this->i_IdVehiculo = $i_IdVehiculo;
    }

    /* Obtiene el valor del campo IdVehiculo */
    public function getIdVehiculo()
    {
        return $this->i_IdVehiculo;
    }

    /* Establece el valor del campo Transportista */
    public function setTransportista( $i_Transportista )
    {
        $this->i_Transportista = $i_Transportista;
    }

    /* Obtiene el valor del campo Transportista */
    public function getTransportista()
    {
        return $this->i_Transportista;
    }

    /* Establece el valor del campo VehiculoMarca */
    public function setVehiculoMarca( $s_VehiculoMarca )
    {
        $this->s_VehiculoMarca = $s_VehiculoMarca;
    }

    /* Obtiene el valor del campo VehiculoMarca */
    public function getVehiculoMarca()
    {
        return $this->s_VehiculoMarca;
    }

    /* Establece el valor del campo VehiculoPlaca */
    public function setVehiculoPlaca( $s_VehiculoPlaca )
    {
        $this->s_VehiculoPlaca = $s_VehiculoPlaca;
    }

    /* Obtiene el valor del campo VehiculoPlaca */
    public function getVehiculoPlaca()
    {
        return $this->s_VehiculoPlaca;
    }

    /* Establece el valor del campo LicenciaConducir */
    public function setLicenciaConducir( $s_LicenciaConducir )
    {
        $this->s_LicenciaConducir = $s_LicenciaConducir;
    }

    /* Obtiene el valor del campo LicenciaConducir */
    public function getLicenciaConducir()
    {
        return $this->s_LicenciaConducir;
    }

    /* Establece el valor del campo ResponsableTraslado */
    public function setResponsableTraslado( $s_ResponsableTraslado )
    {
        $this->s_ResponsableTraslado = $s_ResponsableTraslado;
    }

    /* Obtiene el valor del campo ResponsableTraslado */
    public function getResponsableTraslado()
    {
        return $this->s_ResponsableTraslado;
    }

    /* Establece el valor del campo MotivoDevolucion */
    public function setMotivoDevolucion( $s_MotivoDevolucion )
    {
        $this->s_MotivoDevolucion = $s_MotivoDevolucion;
    }

    /* Obtiene el valor del campo MotivoDevolucion */
    public function getMotivoDevolucion()
    {
        return $this->s_MotivoDevolucion;
    }

    /* Establece el valor del campo UnidadNegocio */
    public function setUnidadNegocio( $s_UnidadNegocio )
    {
        $this->s_UnidadNegocio = $s_UnidadNegocio;
    }

    /* Obtiene el valor del campo UnidadNegocio */
    public function getUnidadNegocio()
    {
        return $this->s_UnidadNegocio;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo CompaniaDescripcion */
    public function setCompaniaDescripcion( $s_CompaniaDescripcion )
    {
        $this->s_CompaniaDescripcion = $s_CompaniaDescripcion;
    }

    /* Obtiene el valor del campo CompaniaDescripcion */
    public function getCompaniaDescripcion()
    {
        return $this->s_CompaniaDescripcion;
    }

    /* Establece el valor del campo Comentario */
    public function setComentario( $u_Comentario )
    {
        $this->u_Comentario = $u_Comentario;
    }

    /* Obtiene el valor del campo Comentario */
    public function getComentario()
    {
        return $this->u_Comentario;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTransferencia' => $this->getIdTransferencia(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdTipoDocumento' => $this->getIdTipoDocumento(),
            'IdNumeroDocumento' => $this->getIdNumeroDocumento(),
            'IdTransaccion' => $this->getIdTransaccion(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'AlmacenTraslado' => $this->getAlmacenTraslado(),
            'IdTransaccionOperacion' => $this->getIdTransaccionOperacion(),
            'FechaDocumento' => $this->getFechaDocumento(),
            'TipodeCambio' => $this->getTipodeCambio(),
            'Periodo' => $this->getPeriodo(),
            'PeriodoAnulacion' => $this->getPeriodoAnulacion(),
            'Voucher' => $this->getVoucher(),
            'CentroCostoConsumo' => $this->getCentroCostoConsumo(),
            'ImprimirGuia' => $this->getImprimirGuia(),
            'ReferenciaTipoDocumento' => $this->getReferenciaTipoDocumento(),
            'ReferenciaSerieDocumento' => $this->getReferenciaSerieDocumento(),
            'ReferenciaNumeroDocumento' => $this->getReferenciaNumeroDocumento(),
            'GuiaProveedor' => $this->getGuiaProveedor(),
            'IdOrdenProd' => $this->getIdOrdenProd(),
            'IdProyecto' => $this->getIdProyecto(),
            'ReferenciaNumeroInterno' => $this->getReferenciaNumeroInterno(),
            'ReferenciaInterno' => $this->getReferenciaInterno(),
            'IdChofer' => $this->getIdChofer(),
            'IdVehiculo' => $this->getIdVehiculo(),
            'Transportista' => $this->getTransportista(),
            'VehiculoMarca' => $this->getVehiculoMarca(),
            'VehiculoPlaca' => $this->getVehiculoPlaca(),
            'LicenciaConducir' => $this->getLicenciaConducir(),
            'ResponsableTraslado' => $this->getResponsableTraslado(),
            'MotivoDevolucion' => $this->getMotivoDevolucion(),
            'UnidadNegocio' => $this->getUnidadNegocio(),
            'Estado' => $this->getEstado(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'CompaniaDescripcion' => $this->getCompaniaDescripcion(),
            'Comentario' => $this->getComentario(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_TransferenciaCabeceraBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_TransferenciaCabeceraRs )
    {
        $o_ALM_TransferenciaCabeceraBN = new ALM_TransferenciaCabeceraBN();
        $o_ALM_TransferenciaCabeceraBN->setIdTransferencia( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdTransferencia" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdCompania( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdCompania" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdSucursal( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdSucursal" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdTipoDocumento( $o_ALM_TransferenciaCabeceraRs[ "IdTipoDocumento" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdNumeroDocumento( $o_ALM_TransferenciaCabeceraRs[ "IdNumeroDocumento" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdTransaccion( $o_ALM_TransferenciaCabeceraRs[ "IdTransaccion" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdAlmacen( $o_ALM_TransferenciaCabeceraRs[ "IdAlmacen" ] );
        $o_ALM_TransferenciaCabeceraBN->setAlmacenTraslado( $o_ALM_TransferenciaCabeceraRs[ "AlmacenTraslado" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdTransaccionOperacion( $o_ALM_TransferenciaCabeceraRs[ "IdTransaccionOperacion" ] );
        $o_ALM_TransferenciaCabeceraBN->setFechaDocumento( utilTimestamp::getTimestamp( $o_ALM_TransferenciaCabeceraRs[ "FechaDocumento" ], "Y-m-d" ) );
        $o_ALM_TransferenciaCabeceraBN->setTipodeCambio( ( float ) $o_ALM_TransferenciaCabeceraRs[ "TipodeCambio" ] );
        $o_ALM_TransferenciaCabeceraBN->setPeriodo( $o_ALM_TransferenciaCabeceraRs[ "Periodo" ] );
        $o_ALM_TransferenciaCabeceraBN->setPeriodoAnulacion( $o_ALM_TransferenciaCabeceraRs[ "PeriodoAnulacion" ] );
        $o_ALM_TransferenciaCabeceraBN->setVoucher( $o_ALM_TransferenciaCabeceraRs[ "Voucher" ] );
        $o_ALM_TransferenciaCabeceraBN->setCentroCostoConsumo( $o_ALM_TransferenciaCabeceraRs[ "CentroCostoConsumo" ] );
        $o_ALM_TransferenciaCabeceraBN->setImprimirGuia( $o_ALM_TransferenciaCabeceraRs[ "ImprimirGuia" ] );
        $o_ALM_TransferenciaCabeceraBN->setReferenciaTipoDocumento( $o_ALM_TransferenciaCabeceraRs[ "ReferenciaTipoDocumento" ] );
        $o_ALM_TransferenciaCabeceraBN->setReferenciaSerieDocumento( $o_ALM_TransferenciaCabeceraRs[ "ReferenciaSerieDocumento" ] );
        $o_ALM_TransferenciaCabeceraBN->setReferenciaNumeroDocumento( $o_ALM_TransferenciaCabeceraRs[ "ReferenciaNumeroDocumento" ] );
        $o_ALM_TransferenciaCabeceraBN->setGuiaProveedor( $o_ALM_TransferenciaCabeceraRs[ "GuiaProveedor" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdOrdenProd( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdOrdenProd" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdProyecto( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdProyecto" ] );
        $o_ALM_TransferenciaCabeceraBN->setReferenciaNumeroInterno( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "ReferenciaNumeroInterno" ] );
        $o_ALM_TransferenciaCabeceraBN->setReferenciaInterno( $o_ALM_TransferenciaCabeceraRs[ "ReferenciaInterno" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdChofer( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdChofer" ] );
        $o_ALM_TransferenciaCabeceraBN->setIdVehiculo( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "IdVehiculo" ] );
        $o_ALM_TransferenciaCabeceraBN->setTransportista( ( integer ) $o_ALM_TransferenciaCabeceraRs[ "Transportista" ] );
        $o_ALM_TransferenciaCabeceraBN->setVehiculoMarca( $o_ALM_TransferenciaCabeceraRs[ "VehiculoMarca" ] );
        $o_ALM_TransferenciaCabeceraBN->setVehiculoPlaca( $o_ALM_TransferenciaCabeceraRs[ "VehiculoPlaca" ] );
        $o_ALM_TransferenciaCabeceraBN->setLicenciaConducir( $o_ALM_TransferenciaCabeceraRs[ "LicenciaConducir" ] );
        $o_ALM_TransferenciaCabeceraBN->setResponsableTraslado( $o_ALM_TransferenciaCabeceraRs[ "ResponsableTraslado" ] );
        $o_ALM_TransferenciaCabeceraBN->setMotivoDevolucion( $o_ALM_TransferenciaCabeceraRs[ "MotivoDevolucion" ] );
        $o_ALM_TransferenciaCabeceraBN->setUnidadNegocio( $o_ALM_TransferenciaCabeceraRs[ "UnidadNegocio" ] );
        $o_ALM_TransferenciaCabeceraBN->setEstado( $o_ALM_TransferenciaCabeceraRs[ "Estado" ] );
        $o_ALM_TransferenciaCabeceraBN->setUsuarioModificacion( $o_ALM_TransferenciaCabeceraRs[ "UsuarioModificacion" ] );
        $o_ALM_TransferenciaCabeceraBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_TransferenciaCabeceraRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransferenciaCabeceraBN->setUsuarioCreacion( $o_ALM_TransferenciaCabeceraRs[ "UsuarioCreacion" ] );
        $o_ALM_TransferenciaCabeceraBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_TransferenciaCabeceraRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransferenciaCabeceraBN->setCompaniaDescripcion( $o_ALM_TransferenciaCabeceraRs[ "CompaniaDescripcion" ] );
        $o_ALM_TransferenciaCabeceraBN->setComentario( $o_ALM_TransferenciaCabeceraRs[ "Comentario" ] );
        return $o_ALM_TransferenciaCabeceraBN;
    }
}
?>